Announcement

Collapse
No announcement yet.

R600g+SI Dota 2 Benchmarks With Mesa 11.2, Linux 4.5 Show Open Driver Progress

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • R600g+SI Dota 2 Benchmarks With Mesa 11.2, Linux 4.5 Show Open Driver Progress

    Phoronix: R600g+SI Dota 2 Benchmarks With Mesa 11.2, Linux 4.5 Show Open Driver Progress

    With now having a workaround for Dota 2 for my benchmarking needs, here are some benchmarks finally of this popular multiplayer online battle arena under Linux when using the R600g and RadeonSI Gallium3D drivers with the latest Linux 4.5 and Mesa 11.2 components...

    http://www.phoronix.com/scan.php?pag...esa112-Linux45

  • #2
    At 4K, only the R9 290 and R9 Fury were scoring well with Dota 2.

    Then I was doing a second run later on with the system monitoring results with the GCN GPUs at 4K and I noticed something...
    hmm, Can't wait to hear more about this discovery!

    Comment


    • #3
      Originally posted by duby229 View Post

      hmm, Can't wait to hear more about this discovery!
      Tests still churning... Hope to have up that next article within a few hours.
      Michael Larabel
      http://www.michaellarabel.com/

      Comment


      • #4
        It's been well known that DOTA2 likes Open Source drivers.

        Comment


        • #5
          So I guess the 4.5 rc3 kernel fixed your Fury powerplay issues?

          Comment


          • #6
            Originally posted by duby229 View Post

            hmm, Can't wait to hear more about this discovery!
            At first it looked like it was a regression in DRI3 as during that second run, still had accidentally had my xorg.conf.d of DRI3 (enabled) +SwapBuffersWait (disabled) set to the radeon DDX rather than the amdgpu ddx as I was testing some other non-AMDGPU hardware in between there... So I thought that was it, but now in going back through and trying out different DDX options for AMDGPU, not yet able to figure out if it was just a fluke or what.
            Michael Larabel
            http://www.michaellarabel.com/

            Comment


            • #7
              I had this error when running the test:

              LoadSystemDependencies():
              AppSystemDict: Error in Connect() of interface 'GameUI011'!

              Missing dependency?

              Comment


              • #8
                Originally posted by abu_shawarib View Post
                I had this error when running the test:

                LoadSystemDependencies():
                AppSystemDict: Error in Connect() of interface 'GameUI011'!

                Missing dependency?
                Yeah it's a weird one... I hit it initially as well. Unrelated to PTS, others have ran into it too: https://github.com/ValveSoftware/Dota-2/issues/105

                The fix from that thread did work: sudo ln -s /lib/x86_64-linux-gnu/libudev.so.1 /lib/x86_64-linux-gnu/libudev.so.0
                Michael Larabel
                http://www.michaellarabel.com/

                Comment


                • #9
                  Michael: I made a build of xorg-modesetting for 15.10 that has Fury in it's list of PCI IDs, if you're interested: https://launchpad.net/~ernstp/+archi...es_filter=wily

                  Comment


                  • #10
                    Why do you need a PCI ID for modesetting? That's a generic driver! You don't need to install the amdgpu ddx.

                    Comment

                    Working...
                    X